profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingMedia Library

Tanpa kepala

Mulai CepatSplit Screen JSON Component Builder with LLMPenarikan Komponen Zod

REST API

ikhtisar API RESTgetConnect your websitegetGET /routesgetGET /routegetGET /blocksgetGET /blocks/with-cel-cachegetGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}getGET /content-changes (SSE)patchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatchPATCH /csv
All Systems Operational
Powered Byprofound-logo
Theme

GET /blocks

Ambil blok berdasarkan ID, sesuai urutan permintaan, dengan referensi gambar yang diselesaikan.

Ambil blok berdasarkan ID untuk sebuah situs web, dengan referensi gambar yang diselesaikan menjadi URL. Blok dikembalikan dalam urutan yang sama dengan ids yang diminta; ID yang tidak dikenal akan dilewati tanpa pemberitahuan.

Autentikasi: Kunci API (header x-api-key atau parameter kueri api_key).

Parameter kueri

ParameterJenisWajibCatatan
websiteIduuidtidakSitus web target; akan kembali menggunakan header Host / konfigurasi.
idsstringtidakUUID blok yang dipisahkan koma. Kosong atau tidak ada → [].
api_keystringtidakAlternatif untuk header x-api-key.

Respons

Sebuah array JSON berisi blok:

[
  {
    "id": "...",
    "website_id": "...",
    "schema_id": "...",
    "draft_content": {},
    "published_content": {},
    "state": "published",
    "version": 3,
    "schema_name": "hero-block",
    "layout": {},
    "cloned_from_id": null,
    "created_at": "2026-06-23T18:34:16Z",
    "updated_at": "2026-06-23T20:36:55Z"
  }
]

Contoh

curl '{CMS_API_URL}/blocks?websiteId=<uuid>&ids=<id1>,<id2>' \
  -H 'x-api-key: <key>'

Kesalahan

  • 400 — UUID tidak valid di ids, atau situs web tidak dapat ditemukan
  • 401 — kunci API tidak valid
Continue Reading
Previous‹GET /routeNextGET /blocks/with-cel-cache›